LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Macros
macros.h File Reference
`#include <stddef.h>`

Go to the source code of this file.

## Macros
#define | SAL_N_ELEMENTS(arr) (sizeof (arr) / sizeof ((arr)[0]))
#define | SAL_BOUND(x, l, h) ((x) <= (l) ? (l) : ((x) >= (h) ? (h) : (x)))
#define | SAL_ABS(a) (((a) < 0) ? (-(a)) : (a))
#define | SAL_STRINGIFY_ARG(x) #x
#define | SAL_STRINGIFY(x) SAL_STRINGIFY_ARG(x)

## Macro Definition Documentation

#define SAL_ABS | ( |  | a | ) | (((a) < 0) ? (-(a)) : (a))

#define SAL_BOUND | ( |  | x,
|  |  | l,
|  |  | h
| ) |  | ((x) <= (l) ? (l) : ((x) >= (h) ? (h) : (x)))

#define SAL_N_ELEMENTS | ( |  | arr | ) | (sizeof (arr) / sizeof ((arr)[0]))

#define SAL_STRINGIFY | ( |  | x | ) | SAL_STRINGIFY_ARG(x)

#define SAL_STRINGIFY_ARG | ( |  | x | ) | #x